'Error:java: 无效的标记: -version 解决'

xkrivzooh2019年1月25日
小于 1 分钟

'Error:java: 无效的标记: -version 解决'

使用最新版Intellij IDEA以后,编译项目出现Error:java: 无效的标记: -version 解决

后来排查发现是因为公司的super-pom中的maven-compiler-pluginconfiguration有如下的配置:

 <compilerArgs>
-   <arg>-J-Duser.country=US</arg>
-   <arg>-version</arg>
</compilerArgs>

而这个配置会和新版本的idea冲突。把pom中的这个配置删除就好了

上次编辑于: 2022/9/13 17:40:58
Loading...